<?php
include('../common/parseargs.php');
include('../common/getObject.php');

$USAGE=" --id=<volumeid> ";

include('../common/basicargcheck.php');

if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}


#arguments
$VOLID=$args_array['id'];


if(!$VOLID)
{
        echo "ERROR: --id=<volumeid> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

$volumeObj = getVolumes($USER,$PASS,$HOST,$PORT);

foreach($volumeObj->return as $tmp)
{
	if($tmp->id == $VOLID)
	{
		$volume = $tmp;
		break;
	}
}

try{

	$client = new soapclient("https://$HOST:$PORT/Volume?wsdl",
		array('login'=>"$USER",
		'password'=>"$PASS",
		'trace'=>1
		)
	);

	$client->deleteVolume(array('volume'=>$volume)) ;

	echo "Successfully deleted volume: $VOLID\n";
	exit(0);
} 
catch (SoapFault $exception)
{
	echo $exception;
	echo(1);
}





?> 
